Page MenuHomePhabricator

Recent recurring GC donations not recurring or displaying as such at GC
Closed, ResolvedPublic1 Story Points

Description

The recurring donations failure scan yielded several GC transactions that show as recurring in Civi, but do not show as recurring at the GC portal: transaction IDs are 4699088506, 630660817, and 6880374848.

There are also several possibly-related transactions that do appear as recurring donations at GC, but have not processed again yet, though this may be due to normal variability, as they are two days overdue: 3005420957, 2185631244, and 9264844762.

Event Timeline

MBeat33 created this task.Jul 7 2015, 4:44 PM
MBeat33 raised the priority of this task from to Normal.
MBeat33 updated the task description. (Show Details)
MBeat33 added a project: Fundraising-Backlog.
MBeat33 added a subscriber: MBeat33.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 7 2015, 4:44 PM
MBeat33 added a subscriber: Ppena.Jul 7 2015, 5:35 PM
atgo raised the priority of this task from Normal to High.Jul 7 2015, 6:20 PM
atgo set Security to None.
Ejegg claimed this task.Aug 17 2015, 10:05 PM
Ejegg moved this task from Backlog to Doing on the Fundraising Sprint Queen board.
Ejegg edited a custom field.

Investigating #4699088506 shows that the donor initiated a non-recurring donation via form email-cc-vma, then eight minutes later initiated a recurring donation via form rcc-vma. Both of these were in the same donation session and got the same order id. It looks like GlobalCollect allowed us to make two INSERT_ORDERWITHPAYMENT calls for the same order id and only counted the first (non-recurring) one. We treated the second (recurring) one as the real donation and recorded it as such.

The other two IDs mentioned had the same flow - initiate non-recurring, click continue to display iframe, don't complete, go back and initiate recurring, then complete.

I think we need to throw out order ID if the recur type changes.

Change 232525 had a related patch set uploaded (by Ejegg):
Blank submethod on method change, OID on recur change

https://gerrit.wikimedia.org/r/232525

Ejegg moved this task from Doing to Review on the Fundraising Sprint Queen board.Aug 19 2015, 5:59 PM

Change 232525 merged by jenkins-bot:
Blank submethod on method change, OID on recur change

https://gerrit.wikimedia.org/r/232525

Thanks @Ejegg - will we know that this is solved just by not seeing more of them? If so, let's close this pending proof that it didn't fix :)

Ejegg closed this task as Resolved.Sep 2 2015, 10:16 PM